%define debug_package %{nil}
%define src_install_dir /usr/src/%{name}
Name:           google-cloud-cpp
Version:        2.16.0
Release:        1
Summary:        Google Cloud Platform C++ Client Libraries
License:        Apache-2.0
Group:          Development/Tools/Building
URL:            https://github.com/googleapis/google-cloud-cpp/
Source:         https://github.com/googleapis/google-cloud-cpp/archive/refs/tags/v%{version}.tar.gz

%description  
The Cloud Client Libraies are the recommended way to access Google Cloud APIs programmatically.

%package source
Summary:        Source code of %{name}
Group:          Development/Sources
BuildArch:      noarch

%description source
Idiomatic C++ client libraries for the following Google Cloud Platform services.

%prep
%setup -q -c -n %{name}-v%{version}

%build

%install
mkdir -p %{buildroot}%{src_install_dir}
tar -xf %{SOURCE0} --strip-components=1 -C %{buildroot}%{src_install_dir}

%files source
%license google-cloud-cpp-%{version}/LICENSE
%{src_install_dir}

%changelog
* Mon Mar 17 2025 Acccll <mail1521@163.com> - 2.16.0-1
- Package Init
